Audiences
List audiences
GET
Lists your audiences, newest first. Free.
bearerAuthheader
AuthorizationBearer <API key>Create a key in the app under Developers. Keys start with dcd_live_.
cursor?stringCursor from the previous page's next_cursor.
limit?integerItems per page, 1 to 100. Defaults to 25.
Range
1 <= value <= 100Default
25Success.
application/json- response
data*array<>The items on this page.
next_cursor*|Pass this as ?cursor= to get the next page. Null on the last page.
request_id*stringId of the request that produced this response. A replayed idempotent response keeps the original id.
curl -X GET 'https://api.diced.si/v1/audiences' \ -H 'Authorization: Bearer dcd_live_your_key'Example Response
{ "data": [ { "id": "string", "name": "string", "type": "b2c", "status": "building", "filters": { "type": "b2c", "topics": [ "string" ], "intent": [ "high" ], "active_within_days": 1, "location": { "states": [ "AK" ], "zips": [ "string" ], "cities": [ "string" ] }, "demographics": { "gender": [ "male" ], "age": [ "18-24" ], "income": [ "<20k" ], "net_worth": [ "<0" ], "homeowner": true, "married": true, "children": true }, "job": { "titles": [ "string" ], "seniority": [ "c_suite" ], "departments": [ "administrative" ] }, "company": { "names": [ "string" ], "domains": [ "string" ], "industries": [ "string" ], "size": [ "1-10" ], "revenue": [ "<1m" ] }, "where": [ { "field": "active_date", "op": "eq", "value": "string", "value_to": "string" } ] }, "prompt": "string", "total_count": 0, "total_is_capped": true, "match_count": 0, "saved": true, "watch": { "interval": "day", "auto_reveal": false, "cap": 100 }, "next_run_at": "2019-08-24T14:15:22Z", "last_run": { "id": "string", "kind": "build", "status": "running", "total_count": 0, "new_count": 0, "revealed_count": 0, "started_at": "2019-08-24T14:15:22Z", "finished_at": "2019-08-24T14:15:22Z" }, "created_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "request_id": "string"}